package com.ejie.ad74a.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ad74a.dao.PruebaDao;
import com.ejie.ad74a.service.PruebaHumoService;

/**
 * Implementacion de la interfaz de servicio para la prueba de humo
 * @author BICUGUAL
 *
 */
@Service
public class PruebaHumoServiceImpl implements PruebaHumoService {

	private static final Logger logger = LoggerFactory.getLogger(PruebaHumoServiceImpl.class);
	
	@Autowired
	PruebaDao dao;
	
	@Override
	public Long countSolicitantes() {		
		logger.info("counter service");
		return dao.countSolicitantes();
	}

}
